Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
3c8d::/16
First address
3c8d::
Last address
3c8d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
3c8d:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
d.8.c.3.ip6.arpa
Split into smaller subnets/32

3c8d::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
13c8d::/323c8d:0:ffff:ffff:ffff:ffff:ffff:ffff
23c8d:1::/323c8d:1:ffff:ffff:ffff:ffff:ffff:ffff
33c8d:2::/323c8d:2:ffff:ffff:ffff:ffff:ffff:ffff
43c8d:3::/323c8d:3:ffff:ffff:ffff:ffff:ffff:ffff
53c8d:4::/323c8d:4:ffff:ffff:ffff:ffff:ffff:ffff
63c8d:5::/323c8d:5:ffff:ffff:ffff:ffff:ffff:ffff
73c8d:6::/323c8d:6:ffff:ffff:ffff:ffff:ffff:ffff
83c8d:7::/323c8d:7:ffff:ffff:ffff:ffff:ffff:ffff
93c8d:8::/323c8d:8:ffff:ffff:ffff:ffff:ffff:ffff
103c8d:9::/323c8d:9:ffff:ffff:ffff:ffff:ffff:ffff
113c8d:a::/323c8d:a:ffff:ffff:ffff:ffff:ffff:ffff
123c8d:b::/323c8d:b:ffff:ffff:ffff:ffff:ffff:ffff
133c8d:c::/323c8d:c:ffff:ffff:ffff:ffff:ffff:ffff
143c8d:d::/323c8d:d:ffff:ffff:ffff:ffff:ffff:ffff
153c8d:e::/323c8d:e:ffff:ffff:ffff:ffff:ffff:ffff
163c8d:f::/323c8d:f:ffff:ffff:ffff:ffff:ffff:ffff
173c8d:10::/323c8d:10:ffff:ffff:ffff:ffff:ffff:ffff
183c8d:11::/323c8d:11:ffff:ffff:ffff:ffff:ffff:ffff
193c8d:12::/323c8d:12:ffff:ffff:ffff:ffff:ffff:ffff
203c8d:13::/323c8d:13:ffff:ffff:ffff:ffff:ffff:ffff
213c8d:14::/323c8d:14:ffff:ffff:ffff:ffff:ffff:ffff
223c8d:15::/323c8d:15:ffff:ffff:ffff:ffff:ffff:ffff
233c8d:16::/323c8d:16:ffff:ffff:ffff:ffff:ffff:ffff
243c8d:17::/323c8d:17:ffff:ffff:ffff:ffff:ffff:ffff
253c8d:18::/323c8d:18:ffff:ffff:ffff:ffff:ffff:ffff
263c8d:19::/323c8d:19:ffff:ffff:ffff:ffff:ffff:ffff
273c8d:1a::/323c8d:1a:ffff:ffff:ffff:ffff:ffff:ffff
283c8d:1b::/323c8d:1b:ffff:ffff:ffff:ffff:ffff:ffff
293c8d:1c::/323c8d:1c:ffff:ffff:ffff:ffff:ffff:ffff
303c8d:1d::/323c8d:1d:ffff:ffff:ffff:ffff:ffff:ffff
313c8d:1e::/323c8d:1e:ffff:ffff:ffff:ffff:ffff:ffff
323c8d:1f::/323c8d:1f:ffff:ffff:ffff:ffff:ffff:ffff
333c8d:20::/323c8d:20:ffff:ffff:ffff:ffff:ffff:ffff
343c8d:21::/323c8d:21:ffff:ffff:ffff:ffff:ffff:ffff
353c8d:22::/323c8d:22:ffff:ffff:ffff:ffff:ffff:ffff
363c8d:23::/323c8d:23:ffff:ffff:ffff:ffff:ffff:ffff
373c8d:24::/323c8d:24:ffff:ffff:ffff:ffff:ffff:ffff
383c8d:25::/323c8d:25:ffff:ffff:ffff:ffff:ffff:ffff
393c8d:26::/323c8d:26:ffff:ffff:ffff:ffff:ffff:ffff
403c8d:27::/323c8d:27:ffff:ffff:ffff:ffff:ffff:ffff
413c8d:28::/323c8d:28:ffff:ffff:ffff:ffff:ffff:ffff
423c8d:29::/323c8d:29:ffff:ffff:ffff:ffff:ffff:ffff
433c8d:2a::/323c8d:2a:ffff:ffff:ffff:ffff:ffff:ffff
443c8d:2b::/323c8d:2b:ffff:ffff:ffff:ffff:ffff:ffff
453c8d:2c::/323c8d:2c:ffff:ffff:ffff:ffff:ffff:ffff
463c8d:2d::/323c8d:2d:ffff:ffff:ffff:ffff:ffff:ffff
473c8d:2e::/323c8d:2e:ffff:ffff:ffff:ffff:ffff:ffff
483c8d:2f::/323c8d:2f:ffff:ffff:ffff:ffff:ffff:ffff
493c8d:30::/323c8d:30:ffff:ffff:ffff:ffff:ffff:ffff
503c8d:31::/323c8d:31:ffff:ffff:ffff:ffff:ffff:ffff
513c8d:32::/323c8d:32:ffff:ffff:ffff:ffff:ffff:ffff
523c8d:33::/323c8d:33:ffff:ffff:ffff:ffff:ffff:ffff
533c8d:34::/323c8d:34:ffff:ffff:ffff:ffff:ffff:ffff
543c8d:35::/323c8d:35:ffff:ffff:ffff:ffff:ffff:ffff
553c8d:36::/323c8d:36:ffff:ffff:ffff:ffff:ffff:ffff
563c8d:37::/323c8d:37:ffff:ffff:ffff:ffff:ffff:ffff
573c8d:38::/323c8d:38:ffff:ffff:ffff:ffff:ffff:ffff
583c8d:39::/323c8d:39:ffff:ffff:ffff:ffff:ffff:ffff
593c8d:3a::/323c8d:3a:ffff:ffff:ffff:ffff:ffff:ffff
603c8d:3b::/323c8d:3b:ffff:ffff:ffff:ffff:ffff:ffff
613c8d:3c::/323c8d:3c:ffff:ffff:ffff:ffff:ffff:ffff
623c8d:3d::/323c8d:3d:ffff:ffff:ffff:ffff:ffff:ffff
633c8d:3e::/323c8d:3e:ffff:ffff:ffff:ffff:ffff:ffff
643c8d:3f::/323c8d:3f:ffff:ffff:ffff:ffff:ffff:ffff
653c8d:40::/323c8d:40:ffff:ffff:ffff:ffff:ffff:ffff
663c8d:41::/323c8d:41:ffff:ffff:ffff:ffff:ffff:ffff
673c8d:42::/323c8d:42:ffff:ffff:ffff:ffff:ffff:ffff
683c8d:43::/323c8d:43:ffff:ffff:ffff:ffff:ffff:ffff
693c8d:44::/323c8d:44:ffff:ffff:ffff:ffff:ffff:ffff
703c8d:45::/323c8d:45:ffff:ffff:ffff:ffff:ffff:ffff
713c8d:46::/323c8d:46:ffff:ffff:ffff:ffff:ffff:ffff
723c8d:47::/323c8d:47:ffff:ffff:ffff:ffff:ffff:ffff
733c8d:48::/323c8d:48:ffff:ffff:ffff:ffff:ffff:ffff
743c8d:49::/323c8d:49:ffff:ffff:ffff:ffff:ffff:ffff
753c8d:4a::/323c8d:4a:ffff:ffff:ffff:ffff:ffff:ffff
763c8d:4b::/323c8d:4b:ffff:ffff:ffff:ffff:ffff:ffff
773c8d:4c::/323c8d:4c:ffff:ffff:ffff:ffff:ffff:ffff
783c8d:4d::/323c8d:4d:ffff:ffff:ffff:ffff:ffff:ffff
793c8d:4e::/323c8d:4e:ffff:ffff:ffff:ffff:ffff:ffff
803c8d:4f::/323c8d:4f:ffff:ffff:ffff:ffff:ffff:ffff
813c8d:50::/323c8d:50:ffff:ffff:ffff:ffff:ffff:ffff
823c8d:51::/323c8d:51:ffff:ffff:ffff:ffff:ffff:ffff
833c8d:52::/323c8d:52:ffff:ffff:ffff:ffff:ffff:ffff
843c8d:53::/323c8d:53:ffff:ffff:ffff:ffff:ffff:ffff
853c8d:54::/323c8d:54:ffff:ffff:ffff:ffff:ffff:ffff
863c8d:55::/323c8d:55:ffff:ffff:ffff:ffff:ffff:ffff
873c8d:56::/323c8d:56:ffff:ffff:ffff:ffff:ffff:ffff
883c8d:57::/323c8d:57:ffff:ffff:ffff:ffff:ffff:ffff
893c8d:58::/323c8d:58:ffff:ffff:ffff:ffff:ffff:ffff
903c8d:59::/323c8d:59:ffff:ffff:ffff:ffff:ffff:ffff
913c8d:5a::/323c8d:5a:ffff:ffff:ffff:ffff:ffff:ffff
923c8d:5b::/323c8d:5b:ffff:ffff:ffff:ffff:ffff:ffff
933c8d:5c::/323c8d:5c:ffff:ffff:ffff:ffff:ffff:ffff
943c8d:5d::/323c8d:5d:ffff:ffff:ffff:ffff:ffff:ffff
953c8d:5e::/323c8d:5e:ffff:ffff:ffff:ffff:ffff:ffff
963c8d:5f::/323c8d:5f:ffff:ffff:ffff:ffff:ffff:ffff
973c8d:60::/323c8d:60:ffff:ffff:ffff:ffff:ffff:ffff
983c8d:61::/323c8d:61:ffff:ffff:ffff:ffff:ffff:ffff
993c8d:62::/323c8d:62:ffff:ffff:ffff:ffff:ffff:ffff
1003c8d:63::/323c8d:63:ffff:ffff:ffff:ffff:ffff:ffff
1013c8d:64::/323c8d:64:ffff:ffff:ffff:ffff:ffff:ffff
1023c8d:65::/323c8d:65:ffff:ffff:ffff:ffff:ffff:ffff
1033c8d:66::/323c8d:66:ffff:ffff:ffff:ffff:ffff:ffff
1043c8d:67::/323c8d:67:ffff:ffff:ffff:ffff:ffff:ffff
1053c8d:68::/323c8d:68:ffff:ffff:ffff:ffff:ffff:ffff
1063c8d:69::/323c8d:69:ffff:ffff:ffff:ffff:ffff:ffff
1073c8d:6a::/323c8d:6a:ffff:ffff:ffff:ffff:ffff:ffff
1083c8d:6b::/323c8d:6b:ffff:ffff:ffff:ffff:ffff:ffff
1093c8d:6c::/323c8d:6c:ffff:ffff:ffff:ffff:ffff:ffff
1103c8d:6d::/323c8d:6d:ffff:ffff:ffff:ffff:ffff:ffff
1113c8d:6e::/323c8d:6e:ffff:ffff:ffff:ffff:ffff:ffff
1123c8d:6f::/323c8d:6f:ffff:ffff:ffff:ffff:ffff:ffff
1133c8d:70::/323c8d:70:ffff:ffff:ffff:ffff:ffff:ffff
1143c8d:71::/323c8d:71:ffff:ffff:ffff:ffff:ffff:ffff
1153c8d:72::/323c8d:72:ffff:ffff:ffff:ffff:ffff:ffff
1163c8d:73::/323c8d:73:ffff:ffff:ffff:ffff:ffff:ffff
1173c8d:74::/323c8d:74:ffff:ffff:ffff:ffff:ffff:ffff
1183c8d:75::/323c8d:75:ffff:ffff:ffff:ffff:ffff:ffff
1193c8d:76::/323c8d:76:ffff:ffff:ffff:ffff:ffff:ffff
1203c8d:77::/323c8d:77:ffff:ffff:ffff:ffff:ffff:ffff
1213c8d:78::/323c8d:78:ffff:ffff:ffff:ffff:ffff:ffff
1223c8d:79::/323c8d:79:ffff:ffff:ffff:ffff:ffff:ffff
1233c8d:7a::/323c8d:7a:ffff:ffff:ffff:ffff:ffff:ffff
1243c8d:7b::/323c8d:7b:ffff:ffff:ffff:ffff:ffff:ffff
1253c8d:7c::/323c8d:7c:ffff:ffff:ffff:ffff:ffff:ffff
1263c8d:7d::/323c8d:7d:ffff:ffff:ffff:ffff:ffff:ffff
1273c8d:7e::/323c8d:7e:ffff:ffff:ffff:ffff:ffff:ffff
1283c8d:7f::/323c8d:7f:ffff:ffff:ffff:ffff:ffff:ffff
1293c8d:80::/323c8d:80:ffff:ffff:ffff:ffff:ffff:ffff
1303c8d:81::/323c8d:81:ffff:ffff:ffff:ffff:ffff:ffff
1313c8d:82::/323c8d:82:ffff:ffff:ffff:ffff:ffff:ffff
1323c8d:83::/323c8d:83:ffff:ffff:ffff:ffff:ffff:ffff
1333c8d:84::/323c8d:84:ffff:ffff:ffff:ffff:ffff:ffff
1343c8d:85::/323c8d:85:ffff:ffff:ffff:ffff:ffff:ffff
1353c8d:86::/323c8d:86:ffff:ffff:ffff:ffff:ffff:ffff
1363c8d:87::/323c8d:87:ffff:ffff:ffff:ffff:ffff:ffff
1373c8d:88::/323c8d:88:ffff:ffff:ffff:ffff:ffff:ffff
1383c8d:89::/323c8d:89:ffff:ffff:ffff:ffff:ffff:ffff
1393c8d:8a::/323c8d:8a:ffff:ffff:ffff:ffff:ffff:ffff
1403c8d:8b::/323c8d:8b:ffff:ffff:ffff:ffff:ffff:ffff
1413c8d:8c::/323c8d:8c:ffff:ffff:ffff:ffff:ffff:ffff
1423c8d:8d::/323c8d:8d:ffff:ffff:ffff:ffff:ffff:ffff
1433c8d:8e::/323c8d:8e:ffff:ffff:ffff:ffff:ffff:ffff
1443c8d:8f::/323c8d:8f:ffff:ffff:ffff:ffff:ffff:ffff
1453c8d:90::/323c8d:90:ffff:ffff:ffff:ffff:ffff:ffff
1463c8d:91::/323c8d:91:ffff:ffff:ffff:ffff:ffff:ffff
1473c8d:92::/323c8d:92:ffff:ffff:ffff:ffff:ffff:ffff
1483c8d:93::/323c8d:93:ffff:ffff:ffff:ffff:ffff:ffff
1493c8d:94::/323c8d:94:ffff:ffff:ffff:ffff:ffff:ffff
1503c8d:95::/323c8d:95:ffff:ffff:ffff:ffff:ffff:ffff
1513c8d:96::/323c8d:96:ffff:ffff:ffff:ffff:ffff:ffff
1523c8d:97::/323c8d:97:ffff:ffff:ffff:ffff:ffff:ffff
1533c8d:98::/323c8d:98:ffff:ffff:ffff:ffff:ffff:ffff
1543c8d:99::/323c8d:99:ffff:ffff:ffff:ffff:ffff:ffff
1553c8d:9a::/323c8d:9a:ffff:ffff:ffff:ffff:ffff:ffff
1563c8d:9b::/323c8d:9b:ffff:ffff:ffff:ffff:ffff:ffff
1573c8d:9c::/323c8d:9c:ffff:ffff:ffff:ffff:ffff:ffff
1583c8d:9d::/323c8d:9d:ffff:ffff:ffff:ffff:ffff:ffff
1593c8d:9e::/323c8d:9e:ffff:ffff:ffff:ffff:ffff:ffff
1603c8d:9f::/323c8d:9f:ffff:ffff:ffff:ffff:ffff:ffff
1613c8d:a0::/323c8d:a0:ffff:ffff:ffff:ffff:ffff:ffff
1623c8d:a1::/323c8d:a1:ffff:ffff:ffff:ffff:ffff:ffff
1633c8d:a2::/323c8d:a2:ffff:ffff:ffff:ffff:ffff:ffff
1643c8d:a3::/323c8d:a3:ffff:ffff:ffff:ffff:ffff:ffff
1653c8d:a4::/323c8d:a4:ffff:ffff:ffff:ffff:ffff:ffff
1663c8d:a5::/323c8d:a5:ffff:ffff:ffff:ffff:ffff:ffff
1673c8d:a6::/323c8d:a6:ffff:ffff:ffff:ffff:ffff:ffff
1683c8d:a7::/323c8d:a7:ffff:ffff:ffff:ffff:ffff:ffff
1693c8d:a8::/323c8d:a8:ffff:ffff:ffff:ffff:ffff:ffff
1703c8d:a9::/323c8d:a9:ffff:ffff:ffff:ffff:ffff:ffff
1713c8d:aa::/323c8d:aa:ffff:ffff:ffff:ffff:ffff:ffff
1723c8d:ab::/323c8d:ab:ffff:ffff:ffff:ffff:ffff:ffff
1733c8d:ac::/323c8d:ac:ffff:ffff:ffff:ffff:ffff:ffff
1743c8d:ad::/323c8d:ad:ffff:ffff:ffff:ffff:ffff:ffff
1753c8d:ae::/323c8d:ae:ffff:ffff:ffff:ffff:ffff:ffff
1763c8d:af::/323c8d:af:ffff:ffff:ffff:ffff:ffff:ffff
1773c8d:b0::/323c8d:b0:ffff:ffff:ffff:ffff:ffff:ffff
1783c8d:b1::/323c8d:b1:ffff:ffff:ffff:ffff:ffff:ffff
1793c8d:b2::/323c8d:b2:ffff:ffff:ffff:ffff:ffff:ffff
1803c8d:b3::/323c8d:b3:ffff:ffff:ffff:ffff:ffff:ffff
1813c8d:b4::/323c8d:b4:ffff:ffff:ffff:ffff:ffff:ffff
1823c8d:b5::/323c8d:b5:ffff:ffff:ffff:ffff:ffff:ffff
1833c8d:b6::/323c8d:b6:ffff:ffff:ffff:ffff:ffff:ffff
1843c8d:b7::/323c8d:b7:ffff:ffff:ffff:ffff:ffff:ffff
1853c8d:b8::/323c8d:b8:ffff:ffff:ffff:ffff:ffff:ffff
1863c8d:b9::/323c8d:b9:ffff:ffff:ffff:ffff:ffff:ffff
1873c8d:ba::/323c8d:ba:ffff:ffff:ffff:ffff:ffff:ffff
1883c8d:bb::/323c8d:bb:ffff:ffff:ffff:ffff:ffff:ffff
1893c8d:bc::/323c8d:bc:ffff:ffff:ffff:ffff:ffff:ffff
1903c8d:bd::/323c8d:bd:ffff:ffff:ffff:ffff:ffff:ffff
1913c8d:be::/323c8d:be:ffff:ffff:ffff:ffff:ffff:ffff
1923c8d:bf::/323c8d:bf:ffff:ffff:ffff:ffff:ffff:ffff
1933c8d:c0::/323c8d:c0:ffff:ffff:ffff:ffff:ffff:ffff
1943c8d:c1::/323c8d:c1:ffff:ffff:ffff:ffff:ffff:ffff
1953c8d:c2::/323c8d:c2:ffff:ffff:ffff:ffff:ffff:ffff
1963c8d:c3::/323c8d:c3:ffff:ffff:ffff:ffff:ffff:ffff
1973c8d:c4::/323c8d:c4:ffff:ffff:ffff:ffff:ffff:ffff
1983c8d:c5::/323c8d:c5:ffff:ffff:ffff:ffff:ffff:ffff
1993c8d:c6::/323c8d:c6:ffff:ffff:ffff:ffff:ffff:ffff
2003c8d:c7::/323c8d:c7:ffff:ffff:ffff:ffff:ffff:ffff
2013c8d:c8::/323c8d:c8:ffff:ffff:ffff:ffff:ffff:ffff
2023c8d:c9::/323c8d:c9:ffff:ffff:ffff:ffff:ffff:ffff
2033c8d:ca::/323c8d:ca:ffff:ffff:ffff:ffff:ffff:ffff
2043c8d:cb::/323c8d:cb:ffff:ffff:ffff:ffff:ffff:ffff
2053c8d:cc::/323c8d:cc:ffff:ffff:ffff:ffff:ffff:ffff
2063c8d:cd::/323c8d:cd:ffff:ffff:ffff:ffff:ffff:ffff
2073c8d:ce::/323c8d:ce:ffff:ffff:ffff:ffff:ffff:ffff
2083c8d:cf::/323c8d:cf:ffff:ffff:ffff:ffff:ffff:ffff
2093c8d:d0::/323c8d:d0:ffff:ffff:ffff:ffff:ffff:ffff
2103c8d:d1::/323c8d:d1:ffff:ffff:ffff:ffff:ffff:ffff
2113c8d:d2::/323c8d:d2:ffff:ffff:ffff:ffff:ffff:ffff
2123c8d:d3::/323c8d:d3:ffff:ffff:ffff:ffff:ffff:ffff
2133c8d:d4::/323c8d:d4:ffff:ffff:ffff:ffff:ffff:ffff
2143c8d:d5::/323c8d:d5:ffff:ffff:ffff:ffff:ffff:ffff
2153c8d:d6::/323c8d:d6:ffff:ffff:ffff:ffff:ffff:ffff
2163c8d:d7::/323c8d:d7:ffff:ffff:ffff:ffff:ffff:ffff
2173c8d:d8::/323c8d:d8:ffff:ffff:ffff:ffff:ffff:ffff
2183c8d:d9::/323c8d:d9:ffff:ffff:ffff:ffff:ffff:ffff
2193c8d:da::/323c8d:da:ffff:ffff:ffff:ffff:ffff:ffff
2203c8d:db::/323c8d:db:ffff:ffff:ffff:ffff:ffff:ffff
2213c8d:dc::/323c8d:dc:ffff:ffff:ffff:ffff:ffff:ffff
2223c8d:dd::/323c8d:dd:ffff:ffff:ffff:ffff:ffff:ffff
2233c8d:de::/323c8d:de:ffff:ffff:ffff:ffff:ffff:ffff
2243c8d:df::/323c8d:df:ffff:ffff:ffff:ffff:ffff:ffff
2253c8d:e0::/323c8d:e0:ffff:ffff:ffff:ffff:ffff:ffff
2263c8d:e1::/323c8d:e1:ffff:ffff:ffff:ffff:ffff:ffff
2273c8d:e2::/323c8d:e2:ffff:ffff:ffff:ffff:ffff:ffff
2283c8d:e3::/323c8d:e3:ffff:ffff:ffff:ffff:ffff:ffff
2293c8d:e4::/323c8d:e4:ffff:ffff:ffff:ffff:ffff:ffff
2303c8d:e5::/323c8d:e5:ffff:ffff:ffff:ffff:ffff:ffff
2313c8d:e6::/323c8d:e6:ffff:ffff:ffff:ffff:ffff:ffff
2323c8d:e7::/323c8d:e7:ffff:ffff:ffff:ffff:ffff:ffff
2333c8d:e8::/323c8d:e8:ffff:ffff:ffff:ffff:ffff:ffff
2343c8d:e9::/323c8d:e9:ffff:ffff:ffff:ffff:ffff:ffff
2353c8d:ea::/323c8d:ea:ffff:ffff:ffff:ffff:ffff:ffff
2363c8d:eb::/323c8d:eb:ffff:ffff:ffff:ffff:ffff:ffff
2373c8d:ec::/323c8d:ec:ffff:ffff:ffff:ffff:ffff:ffff
2383c8d:ed::/323c8d:ed:ffff:ffff:ffff:ffff:ffff:ffff
2393c8d:ee::/323c8d:ee:ffff:ffff:ffff:ffff:ffff:ffff
2403c8d:ef::/323c8d:ef:ffff:ffff:ffff:ffff:ffff:ffff
2413c8d:f0::/323c8d:f0:ffff:ffff:ffff:ffff:ffff:ffff
2423c8d:f1::/323c8d:f1:ffff:ffff:ffff:ffff:ffff:ffff
2433c8d:f2::/323c8d:f2:ffff:ffff:ffff:ffff:ffff:ffff
2443c8d:f3::/323c8d:f3:ffff:ffff:ffff:ffff:ffff:ffff
2453c8d:f4::/323c8d:f4:ffff:ffff:ffff:ffff:ffff:ffff
2463c8d:f5::/323c8d:f5:ffff:ffff:ffff:ffff:ffff:ffff
2473c8d:f6::/323c8d:f6:ffff:ffff:ffff:ffff:ffff:ffff
2483c8d:f7::/323c8d:f7:ffff:ffff:ffff:ffff:ffff:ffff
2493c8d:f8::/323c8d:f8:ffff:ffff:ffff:ffff:ffff:ffff
2503c8d:f9::/323c8d:f9:ffff:ffff:ffff:ffff:ffff:ffff
2513c8d:fa::/323c8d:fa:ffff:ffff:ffff:ffff:ffff:ffff
2523c8d:fb::/323c8d:fb:ffff:ffff:ffff:ffff:ffff:ffff
2533c8d:fc::/323c8d:fc:ffff:ffff:ffff:ffff:ffff:ffff
2543c8d:fd::/323c8d:fd:ffff:ffff:ffff:ffff:ffff:ffff
2553c8d:fe::/323c8d:fe:ffff:ffff:ffff:ffff:ffff:ffff
2563c8d:ff::/323c8d:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses